Package org.bgerp.action.open

# Class ProfileAction.Config

java.lang.Object
org.bgerp.app.cfg.Config
org.bgerp.action.open.ProfileAction.Config

All Implemented Interfaces:
  `EventListener<ParamChangedEvent>`

Enclosing class:
  `ProfileAction`

public static class ProfileAction.Config extends Config implements EventListener<ParamChangedEvent>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bgerp.app.cfg.Config

  `Config.InitStopException`

- ## Field Summary

  ### Fields inherited from class org.bgerp.app.cfg.Config

  `EMPTY`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Config(ConfigMap config, boolean validate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Integer>`
  `getShowParamIds()`
  `boolean`
  `isOpen(int userId)`
  Is a user profile open.
  `void`
  `notify(ParamChangedEvent e, ConnectionSet conSet)`
  `String`
  `url(int userId)`
  User profile accessing `Interface.OPEN` URL.

  ### Methods inherited from class org.bgerp.app.cfg.Config

  `initWhen, throwValidationException`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Config

    protected Config(ConfigMap config, boolean validate) throws Exception
    Throws:
      `Exception`

- ## Method Details

  - ### getShowParamIds

    public List<Integer> getShowParamIds()

  - ### isOpen

    public boolean isOpen(int userId) throws Exception
    Is a user profile open.
    Parameters:
      `userId` -
    Returns:
    Throws:
      `Exception`

  - ### url

    public String url(int userId)
    User profile accessing `Interface.OPEN` URL.
    Parameters:
      `userId` -
    Returns:

  - ### notify

    public void notify(ParamChangedEvent e, ConnectionSet conSet) throws Exception
    Specified by:
      `notify` in interface `EventListener<ParamChangedEvent>`
    Throws:
      `Exception`